OAuth2 Token endpoint for Authorization Code flow

OAuth2 Token endpoint that exchanges an authorization code for an access token.

This endpoint is called by the client application to exchange the authorization code received from the authorize endpoint for an access token.

Required parameters:

  • grant_type: Must be 'authorization_code'
  • code: The authorization code received from the authorize endpoint
  • client_id: The OAuth2 client identifier
  • client_secret: The OAuth2 client secret
  • redirect_uri: Must match the redirect_uri used in the authorization request

Example:

POST /api/v1/auth/oauth2/token
Content-Type: application/x-www-form-urlencoded

grant_type=authorization_code&code=abc123&client_id=123&client_secret=secret456&redirect_uri=https://example.com/callback

Returns an access token that can be used to authenticate API requests.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
Headers
string
Defaults to Swagger
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses
200

Token exchange successful

400

Invalid request parameters

401

Invalid client credentials or authorization code

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!